Subject: Netscape Enterprise dll
From: [email-masked] (John Kemp)

28 May 1997 18:11:39 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

I'm trying to write dlls that export functions for Netscape Enterprise
Server, portable between unix and NT, but I'm having some trouble
getting them into a valid dll - Netscape Server fails to load the dlls
as it says they are not valid Windows dlls.

Anyone know what that's all about? My compile is shown below :-

winmain.c contains the function dllEntry as spec'd, and fix.c contains
the line
asm(".section .idata$3\n" ".long 0,0,0,0,0") ;

#!/bin/sh
ld --dll --base-file lw_buffer.base -o junk lw_buffer.o winmain.o fix.o
-e _dllEntry@12 /usr/i386-cygwin32/lib/libcygwin.a

dlltool --dllname lw_buffer.dll --def lw_buffer.def --base-file
lw_buffer.base --output-exp lw_buffer.exp --output-lib lw_buffer.a

ld lw_buffer.exp --dll -o lw_buffer.dll lw_buffer.o winmain.o fix.o
$LIBPATH/libcygwin.a -e _dllEntry@12

Any thoughts?

Thanks

John
-- 
.............................
John Kemp
Employease Inc.
http://www.employease.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".